<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags" %>
<!DOCTYPE html>
<html>
	<head>
   
    	<meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">	
   		<link rel="stylesheet" href="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.css">
   		<script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
   		<script src="http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.min.js"></script>
   		<title>Mostrar receta</title>
   		
	</head>


	<body>
		<s:set var="identificadorReceta" value="receta.id" scope="action"/>
		<div data-role="page" data-theme="b">
			
			<div data-role="panel" id="opciones" data-display="overlay" data-theme="b" data-position="right">
				<p>
					Opciones
				</p>	
				<s:url var="urlEliminarReceta" action="GR07"> 
					<s:param name="receta.id" value="%{#identificadorReceta}" />
				</s:url>
				<s:a data-role="button" href="%{#urlEliminarReceta}"  data-icon="delete" data-iconpos="left" onclick="return confirm('La receta se eliminará ¿Está seguro?');">Eliminar receta
				</s:a>
				
				<s:url var="urlModificarReceta" action="ToModificarReceta"> 
					<s:param name="receta.id" value="%{#identificadorReceta}" />
				</s:url>
				<s:a data-role="button" href="%{#urlModificarReceta}"  data-icon="gear" data-iconpos="left" onclick="return confirm('¿Seguro que quiere editar esta receta?');">Modificar receta
				</s:a>
				
				<s:if test="%{receta.nombreFoto != null}">
					<s:url var="urlEliminarFoto" action="GR09"> 
						<s:param name="receta.id" value="%{#identificadorReceta}" />
					</s:url>
					<s:a data-role="button" href="%{#urlEliminarFoto}"  data-icon="delete" data-iconpos="left" onclick="return confirm('¿Seguro que quiere eliminar esta fotografía?');">Eliminar fotografía
					</s:a>	
				</s:if>
				
				<a data-role="button" href="#content" data-rel="close">Ocultar panel</a>
			</div>
		
			<div data-role="header" >
				<div  style="margin-right: 3%;margin-left: 3%;">
				<a data-role="button" href="#opciones" data-icon="gear" data-iconpos="notext" data-inline="true" data-theme="a" style="float: right; margin-right:2%">opciones</a>
				<h2><s:property value="receta.nombreReceta" escapeHtml="false"/></h2>
				<h3>Autor: <s:property value="receta.idUsuario"/></h3>
				</div>
			</div>
			
			<div data-role="content" id="content">
			
				
				
				<s:if test="%{receta.nombreFoto != null}">								
					<img src="<s:url value="%{displayImagesPath + receta.id + '/' + receta.nombreFoto}"/>" style="width:98%; border:3px solid gray"/>
				</s:if>
				
				<div data-role="collapsible" data-theme="a" data-content-theme="b" data-collapsed="false">
					<h3>Ingredientes para <s:property value="receta.comensales"/> persona(s)</h3>
					<pre style="white-space: pre-wrap; font-family:'Times New Roman', Times, serif; font-size:1.1em"><s:property value="receta.ingredientes" escapeHtml="false"/></pre>
				</div>
				
				<div data-role="collapsible" data-theme="a" data-content-theme="b" data-collapsed="false">
					<h3>Método de preparación</h3>
					<pre style="white-space: pre-wrap; font-family:'Times New Roman', Times, serif; font-size:1.1em "><s:property value="receta.preparacion" escapeHtml="false"/></pre>
				</div>
				
				
				<h2>Añadir un comentario</h2>
				
				<s:form action="GR03" method="post">
					<s:textarea name="comentario.texto" label="Texto" required="true" cols="90" rows="7" value="" wrap="hard"></s:textarea>
    				<s:hidden name="comentario.idReceta" value="%{#identificadorReceta}"></s:hidden>
    				<s:hidden name="accionSolicitada" value="nuevo comentario" ></s:hidden>
    				<s:submit type="button" label="Enviar comentario"/>
 				</s:form>
 				
			
				<s:if test="comentarios.size() > 0">
				<div data-role="collapsible" data-theme="a" data-content-theme="b" data-collapsed="false">
					<h2>Comentarios de los usuarios</h2>
					<s:iterator value="comentarios">
						<s:url var="urlEliminarComentario" action="GR04"> 
							<s:param name="comentario.id" value="id" />
							<s:param name="receta.id" value="%{#identificadorReceta}" />
						</s:url>
						<s:a data-role="button" href="%{#urlEliminarComentario}"  data-icon="delete" data-iconpos="notext" style="float: right; margin-right:10%" onclick="return confirm('El comentario se eliminará ¿Está seguro?');">Eliminar comentario
						</s:a>
						<div style="width:70%; padding:10px 10px 10px 10px; border:2px solid gray">
						
						<h3><s:property value="idUsuario"/> dijo: </h3>
						
							<pre style="white-space: pre-wrap; font-family:'Times New Roman', Times, serif; font-size:1.1em"><s:property value="texto" escapeHtml="false"/></pre>
						
						</div>
					</s:iterator>
				</div>
				</s:if>
			</div>
			
			
			
			<div data-role="footer">
				<div data-role="navbar" data-id="barraNavegacion" data-position="fixed">
					<ul>
						<li><a href="ToWelcome.action" data-icon="home" data-iconpos="notext"></a></li>
						<li><a href="ToSearch.action" data-icon="search" data-iconpos="notext" class="ui-btn-active"></a></li>
						<li><a href="ToAdd.action" data-icon="plus" data-iconpos="notext"></a></li>
						<li><a href="ToConfig.action" data-icon="gear" data-iconpos="notext"></a></li>
						<li><a href="ToAdmin.action" data-icon="star" data-iconpos="notext"></a></li>
					</ul>
				</div>
			</div>
			
	  	</div>
	</body>
	
</html>
