/**
 * Copyright (c) 2013 Jorge Puig de la Bellacasa
 * Licencia GNU
 */
package edu.uoc.recetario.arquitectura.messages;

/**
 * Clase que representa un mensaje del sistema para presentar al usuario en la
 * vista
 * 
 * @author Jorge Puig de la Bellacasa
 * 
 */
public class Message {

	/**
	 * Ennumeracin que lista los tipos de mensajes
	 * 
	 * @author Jorge
	 * 
	 */
	public enum Type {
		/** mensaje de tipo informativo */
		INFO, /** mensaje de tipo error */
		ERROR;
	}

	/** tipo de este mensaje */
	private Type tipo;

	/** mensaje */
	private String mensaje;

	/**
	 * Devuelve el valor del campo {@link #tipo}
	 * 
	 * @return Valor de tipo Type del campo {@link #tipo}
	 */
	public Type getTipo() {
		return this.tipo;
	}

	/**
	 * Establece el valor del campo {@link #tipo}
	 * 
	 * @param tipo Valor de tipo Type a almacenar en el campo {@link #tipo}
	 */
	public void setTipo(Type tipo) {
		this.tipo = tipo;
	}

	/**
	 * Devuelve el valor del campo {@link #mensaje}
	 * 
	 * @return Valor de tipo String del campo {@link #mensaje}
	 */
	public String getMensaje() {
		return this.mensaje;
	}

	/**
	 * Establece el valor del campo {@link #mensaje}
	 * 
	 * @param mensaje Valor de tipo String a almacenar en el campo
	 *            {@link #mensaje}
	 */
	public void setMensaje(String mensaje) {
		this.mensaje = mensaje;
	}

}
