/**
 * Copyright (c) 2013 Jorge Puig de la Bellacasa
 * Licencia GNU
 */
package edu.uoc.recetario.arquitectura.pojo;

/**
 * Pojo que representa un comentario
 * 
 * @author Jorge Puig de la Bellacasa
 * 
 */

public class ComentarioPojo implements IPojo {

	/** Identificador del comentario (Clave primaria) */
	private Integer id;
	/** Texto del comentario */
	private String texto;
	/** Identificador del usuario que realiz el comentario */
	private String idUsuario;
	/** Identificador de la receta en la que se realiz el comentario */
	private Integer idReceta;

	/**
	 * Devuelve el valor del campo {@link #id}
	 * 
	 * @return Valor de tipo Integer del campo {@link #id}
	 */
	@Override
	public Integer getId() {
		return this.id;
	}

	/**
	 * Establece el valor del campo {@link #id}
	 * 
	 * @param id Valor de tipo Integer a almacenar en el campo {@link #id}
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * Establece el valor del campo {@link #id}
	 * 
	 * @param id Valor entero de tipo String a almacenar en el campo {@link #id}
	 */
	public void setId(String id) {
		this.id = Integer.parseInt(id);
	}

	/**
	 * Devuelve el valor del campo {@link #texto}
	 * 
	 * @return Valor de tipo String del campo {@link #texto}
	 */
	public String getTexto() {
		return this.texto;
	}

	/**
	 * Establece el valor del campo {@link #texto}
	 * 
	 * @param texto Valor de tipo String a almacenar en el campo {@link #texto}
	 */
	public void setTexto(String texto) {
		this.texto = texto;
	}

	/**
	 * Devuelve el valor del campo {@link #idUsuario}
	 * 
	 * @return Valor de tipo String del campo {@link #idUsuario}
	 */
	public String getIdUsuario() {
		return this.idUsuario;
	}

	/**
	 * Establece el valor del campo {@link #idUsuario}
	 * 
	 * @param idUsuario Valor de tipo String a almacenar en el campo
	 *            {@link #idUsuario}
	 */
	public void setIdUsuario(String idUsuario) {
		this.idUsuario = idUsuario;
	}

	/**
	 * Devuelve el valor del campo {@link #idReceta}
	 * 
	 * @return Valor de tipo Integer del campo {@link #idReceta}
	 */
	public Integer getIdReceta() {
		return this.idReceta;
	}

	/**
	 * Establece el valor del campo {@link #idReceta}
	 * 
	 * @param idReceta Valor de tipo Integer a almacenar en el campo
	 *            {@link #idReceta}
	 */
	public void setIdReceta(Integer idReceta) {
		this.idReceta = idReceta;
	}

	/**
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("ComentarioPojo [");
		if (this.id != null) {
			builder.append("id=");
			builder.append(this.id);
			builder.append(", ");
		}
		if (this.texto != null) {
			builder.append("texto=");
			builder.append(this.texto);
			builder.append(", ");
		}
		if (this.idUsuario != null) {
			builder.append("usuario=");
			builder.append(this.idUsuario);
			builder.append(", ");
		}
		if (this.idReceta != null) {
			builder.append("receta=");
			builder.append(this.idReceta);
		}
		builder.append("]");
		return builder.toString();
	}

}
