/**
 * Copyright (c) 2013 Jorge Puig de la Bellacasa
 * Licencia GNU
 */
package edu.uoc.recetario.arquitectura.pojo;

/**
 * Pojo que representa una receta
 * 
 * @author Jorge Puig de la Bellacasa
 * 
 */

public class RecetaPojo implements IPojo {

	/** identificador nico de esta receta */
	private Integer id;
	/** nombre de la receta */
	private String nombreReceta;
	/** nmero de comensales */
	private Integer comensales;
	/** identificador del usuario que cre esta receta */
	private String idUsuario;
	/** ingredientes */
	private String ingredientes;
	/** mtodo de preparacin */
	private String preparacion;
	/** nombre de archivo de la fotografa de esta receta */
	private String nombreFoto;

	/**
	 * Devuelve el valor del campo {@link #id}
	 * 
	 * @return Valor de tipo Integer del campo {@link #id}
	 */
	@Override
	public Integer getId() {
		return this.id;
	}

	/**
	 * Establece el valor del campo {@link #id}
	 * 
	 * @param id Valor de tipo Integer a almacenar en el campo {@link #id}
	 */
	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * Devuelve el valor del campo {@link #nombreReceta}
	 * 
	 * @return Valor de tipo String del campo {@link #nombreReceta}
	 */
	public String getNombreReceta() {
		return this.nombreReceta;
	}

	/**
	 * Establece el valor del campo {@link #nombreReceta}
	 * 
	 * @param nombreReceta Valor de tipo String a almacenar en el campo
	 *            {@link #nombreReceta}
	 */
	public void setNombreReceta(String nombreReceta) {
		this.nombreReceta = nombreReceta;
	}

	/**
	 * Devuelve el valor del campo {@link #comensales}
	 * 
	 * @return Valor de tipo Integer del campo {@link #comensales}
	 */
	public Integer getComensales() {
		return this.comensales;
	}

	/**
	 * Establece el valor del campo {@link #comensales}
	 * 
	 * @param comensales Valor de tipo Integer a almacenar en el campo
	 *            {@link #comensales}
	 */
	public void setComensales(Integer comensales) {
		this.comensales = comensales;
	}

	/**
	 * Devuelve el valor del campo {@link #idUsuario}
	 * 
	 * @return Valor de tipo String del campo {@link #idUsuario}
	 */
	public String getIdUsuario() {
		return this.idUsuario;
	}

	/**
	 * Establece el valor del campo {@link #idUsuario}
	 * 
	 * @param idUsuario Valor de tipo String a almacenar en el campo
	 *            {@link #idUsuario}
	 */
	public void setIdUsuario(String idUsuario) {
		this.idUsuario = idUsuario;
	}

	/**
	 * Devuelve el valor del campo {@link #ingredientes}
	 * 
	 * @return Valor de tipo String del campo {@link #ingredientes}
	 */
	public String getIngredientes() {
		return this.ingredientes;
	}

	/**
	 * Establece el valor del campo {@link #ingredientes}
	 * 
	 * @param ingredientes Valor de tipo String a almacenar en el campo
	 *            {@link #ingredientes}
	 */
	public void setIngredientes(String ingredientes) {
		this.ingredientes = ingredientes;
	}

	/**
	 * Devuelve el valor del campo {@link #preparacion}
	 * 
	 * @return Valor de tipo String del campo {@link #preparacion}
	 */
	public String getPreparacion() {
		return this.preparacion;
	}

	/**
	 * Establece el valor del campo {@link #preparacion}
	 * 
	 * @param preparacion Valor de tipo String a almacenar en el campo
	 *            {@link #preparacion}
	 */
	public void setPreparacion(String preparacion) {
		this.preparacion = preparacion;
	}

	/**
	 * Devuelve el valor del campo {@link #nombreFoto}
	 * 
	 * @return Valor de tipo String del campo {@link #nombreFoto}
	 */
	public String getNombreFoto() {
		return this.nombreFoto;
	}

	/**
	 * Establece el valor del campo {@link #nombreFoto}
	 * 
	 * @param nombreFoto Valor de tipo String a almacenar en el campo
	 *            {@link #nombreFoto}
	 */
	public void setNombreFoto(String nombreFoto) {
		this.nombreFoto = nombreFoto;
	}

	/**
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("RecetaPojo [");
		if (this.id != null) {
			builder.append("id=");
			builder.append(this.id);
			builder.append(", ");
		}
		if (this.nombreReceta != null) {
			builder.append("nombre=");
			builder.append(this.nombreReceta);
			builder.append(", ");
		}
		if (this.comensales != null) {
			builder.append("comensales=");
			builder.append(this.comensales);
			builder.append(", ");
		}
		if (this.idUsuario != null) {
			builder.append("usuario=");
			builder.append(this.idUsuario);
			builder.append(", ");
		}
		if (this.ingredientes != null) {
			builder.append("ingredientes=");
			builder.append(this.ingredientes);
			builder.append(", ");
		}
		if (this.preparacion != null) {
			builder.append("preparacin=");
			builder.append(this.preparacion);
			builder.append(", ");
		}
		if (this.nombreFoto != null) {
			builder.append("fotografa=");
			builder.append(this.nombreFoto);
			builder.append(", ");
		}

		builder.append("]");
		return builder.toString();
	}

}
