/**
 * Copyright (c) 2013 Jorge Puig de la Bellacasa
 * Licencia GNU
 */
package edu.uoc.recetario.arquitectura.pojo;

/**
 * Pojo que representa un usuario
 * 
 * @author Jorge Puig de la Bellacasa
 * 
 */
public class UsuarioPojo implements IPojo {

	/** Identificador de usuario (Clave primaria) */
	private String id;
	/** Contrasea del usuario */
	private String contrasena;
	/** Email del usuario */
	private String email;
	/** tipo de usuario (user, admin, etc...) */
	private String tipoUsuario;

	/**
	 * Devuelve el valor del campo {@link #id}
	 * 
	 * @return Valor de tipo String del campo {@link #id}
	 */
	@Override
	public String getId() {
		return this.id;
	}

	/**
	 * Establece el valor del campo {@link #id}
	 * 
	 * @param id Valor de tipo String a almacenar en el campo {@link #id}
	 */
	public void setId(String id) {
		this.id = id;
	}

	/**
	 * Devuelve el valor del campo {@link #contrasena}
	 * 
	 * @return Valor de tipo String del campo {@link #contrasena}
	 */
	public String getContrasena() {
		return this.contrasena;
	}

	/**
	 * Establece el valor del campo {@link #contrasena}
	 * 
	 * @param contrasena Valor de tipo String a almacenar en el campo
	 *            {@link #contrasena}
	 */
	public void setContrasena(String contrasena) {
		this.contrasena = contrasena;
	}

	/**
	 * Devuelve el valor del campo {@link #email}
	 * 
	 * @return Valor de tipo String del campo {@link #email}
	 */
	public String getEmail() {
		return this.email;
	}

	/**
	 * Establece el valor del campo {@link #email}
	 * 
	 * @param email Valor de tipo String a almacenar en el campo {@link #email}
	 */
	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * Devuelve el valor del campo {@link #tipoUsuario}
	 * 
	 * @return Valor de tipo String del campo {@link #tipoUsuario}
	 */
	public String getTipoUsuario() {
		return this.tipoUsuario;
	}

	/**
	 * Establece el valor del campo {@link #tipoUsuario}
	 * 
	 * @param tipoUsuario Valor de tipo String a almacenar en el campo
	 *            {@link #tipoUsuario}
	 */
	public void setTipoUsuario(String tipoUsuario) {
		this.tipoUsuario = tipoUsuario;
	}

	/**
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("UsuarioPojo [");
		if (this.id != null) {
			builder.append("id=");
			builder.append(this.id);
			builder.append(", ");
		}
		if (this.email != null) {
			builder.append("email=");
			builder.append(this.email);
			builder.append(", ");
		}
		if (this.tipoUsuario != null) {
			builder.append("tipo=");
			builder.append(this.tipoUsuario);
		}

		builder.append("]");
		return builder.toString();
	}

}
