/**
 * Copyright (c) 2013 Jorge Puig de la Bellacasa
 * Licencia GNU
 */
package edu.uoc.recetario.cu00;

import edu.uoc.recetario.arquitectura.messages.MessageList;

/**
 * Modelo que encapsula los datos necesarios para realizar las tareas del caso
 * de uso CU02(registrar usuario)
 * 
 * @author Jorge Puig de la Bellacasa
 * 
 */
public class CU02Model {

	/** accin solicitada */
	private String accionSolicitada;
	/** messages */
	private final MessageList messages = new MessageList();

	/** usuario */
	private String usuario;
	/** contrasea */
	private String contrasena;
	/** repetir contrasea */
	private String reContrasena;
	/** email */
	private String email;
	/** repetir email */
	private String reEmail;

	/**
	 * Devuelve el valor del campo {@link #accionSolicitada}
	 * 
	 * @return Valor de tipo String del campo {@link #accionSolicitada}
	 */
	public String getAccionSolicitada() {
		return this.accionSolicitada;
	}

	/**
	 * Establece el valor del campo {@link #accionSolicitada}
	 * 
	 * @param accionSolicitada Valor de tipo String a almacenar en el campo
	 *            {@link #accionSolicitada}
	 */
	public void setAccionSolicitada(String accionSolicitada) {
		this.accionSolicitada = accionSolicitada;
	}

	/**
	 * Devuelve el valor del campo {@link #usuario}
	 * 
	 * @return Valor de tipo String del campo {@link #usuario}
	 */
	public String getUsuario() {
		return this.usuario;
	}

	/**
	 * Establece el valor del campo {@link #usuario}
	 * 
	 * @param usuario Valor de tipo String a almacenar en el campo
	 *            {@link #usuario}
	 */
	public void setUsuario(String usuario) {
		this.usuario = usuario;
	}

	/**
	 * Devuelve el valor del campo {@link #contrasena}
	 * 
	 * @return Valor de tipo String del campo {@link #contrasena}
	 */
	public String getContrasena() {
		return this.contrasena;
	}

	/**
	 * Establece el valor del campo {@link #contrasena}
	 * 
	 * @param contrasena Valor de tipo String a almacenar en el campo
	 *            {@link #contrasena}
	 */
	public void setContrasena(String contrasena) {
		this.contrasena = contrasena;
	}

	/**
	 * Devuelve el valor del campo {@link #reContrasena}
	 * 
	 * @return Valor de tipo String del campo {@link #reContrasena}
	 */
	public String getReContrasena() {
		return this.reContrasena;
	}

	/**
	 * Establece el valor del campo {@link #reContrasena}
	 * 
	 * @param reContrasena Valor de tipo String a almacenar en el campo
	 *            {@link #reContrasena}
	 */
	public void setReContrasena(String reContrasena) {
		this.reContrasena = reContrasena;
	}

	/**
	 * Devuelve el valor del campo {@link #email}
	 * 
	 * @return Valor de tipo String del campo {@link #email}
	 */
	public String getEmail() {
		return this.email;
	}

	/**
	 * Establece el valor del campo {@link #email}
	 * 
	 * @param email Valor de tipo String a almacenar en el campo {@link #email}
	 */
	public void setEmail(String email) {
		this.email = email;
	}

	/**
	 * Devuelve el valor del campo {@link #reEmail}
	 * 
	 * @return Valor de tipo String del campo {@link #reEmail}
	 */
	public String getReEmail() {
		return this.reEmail;
	}

	/**
	 * Establece el valor del campo {@link #reEmail}
	 * 
	 * @param reEmail Valor de tipo String a almacenar en el campo
	 *            {@link #reEmail}
	 */
	public void setReEmail(String reEmail) {
		this.reEmail = reEmail;
	}

	/**
	 * Devuelve el valor del campo {@link #messages}
	 * 
	 * @return Valor de tipo MessageList del campo {@link #messages}
	 */
	public MessageList getMessages() {
		return this.messages;
	}

}