/**
 * Copyright (c) 2013 Jorge Puig de la Bellacasa
 * Licencia GNU
 */
package edu.uoc.recetario.gc00;

import edu.uoc.recetario.arquitectura.messages.MessageList;
import edu.uoc.recetario.arquitectura.pojo.UsuarioPojo;

/**
 * Modelo de los casos de uso del grupo GC00
 * 
 * @author Jorge Puig de la Bellacasa
 * 
 */
public class GC00Model {

	/** accin solicitada */
	private String accionSolicitada;
	/** mensajes */
	private final MessageList messages = new MessageList();

	/** pojo del usuario de esta sesin */
	private UsuarioPojo usuarioSesion;
	/** contrasea actual */
	private String contrasena;
	/** nueva contrasea */
	private String nuevaContrasena;
	/** repetir nueva contrasea */
	private String reNuevaContrasena;
	/** nuevo email */
	private String nuevoEmail;
	/** repetir nuevo email */
	private String reNuevoEmail;

	/**
	 * Devuelve el valor del campo {@link #accionSolicitada}
	 * 
	 * @return Valor de tipo String del campo {@link #accionSolicitada}
	 */
	public String getAccionSolicitada() {
		return this.accionSolicitada;
	}

	/**
	 * Establece el valor del campo {@link #accionSolicitada}
	 * 
	 * @param accionSolicitada Valor de tipo String a almacenar en el campo
	 *            {@link #accionSolicitada}
	 */
	public void setAccionSolicitada(String accionSolicitada) {
		this.accionSolicitada = accionSolicitada;
	}

	/**
	 * Devuelve el valor del campo {@link #usuarioSesion}
	 * 
	 * @return Valor de tipo UsuarioPojo del campo {@link #usuarioSesion}
	 */
	public UsuarioPojo getUsuarioSesion() {
		return this.usuarioSesion;
	}

	/**
	 * Establece el valor del campo {@link #usuarioSesion}
	 * 
	 * @param usuarioSesion Valor de tipo UsuarioPojo a almacenar en el campo
	 *            {@link #usuarioSesion}
	 */
	public void setUsuarioSesion(UsuarioPojo usuarioSesion) {
		this.usuarioSesion = usuarioSesion;
	}

	/**
	 * Devuelve el valor del campo {@link #nuevaContrasena}
	 * 
	 * @return Valor de tipo String del campo {@link #nuevaContrasena}
	 */
	public String getNuevaContrasena() {
		return this.nuevaContrasena;
	}

	/**
	 * Establece el valor del campo {@link #nuevaContrasena}
	 * 
	 * @param nuevaContrasena Valor de tipo String a almacenar en el campo
	 *            {@link #nuevaContrasena}
	 */
	public void setNuevaContrasena(String nuevaContrasena) {
		this.nuevaContrasena = nuevaContrasena;
	}

	/**
	 * Devuelve el valor del campo {@link #contrasena}
	 * 
	 * @return Valor de tipo String del campo {@link #contrasena}
	 */
	public String getContrasena() {
		return this.contrasena;
	}

	/**
	 * Establece el valor del campo {@link #contrasena}
	 * 
	 * @param contrasena Valor de tipo String a almacenar en el campo
	 *            {@link #contrasena}
	 */
	public void setContrasena(String contrasena) {
		this.contrasena = contrasena;
	}

	/**
	 * Devuelve el valor del campo {@link #reNuevaContrasena}
	 * 
	 * @return Valor de tipo String del campo {@link #reNuevaContrasena}
	 */
	public String getReNuevaContrasena() {
		return this.reNuevaContrasena;
	}

	/**
	 * Establece el valor del campo {@link #reNuevaContrasena}
	 * 
	 * @param reNuevaContrasena Valor de tipo String a almacenar en el campo
	 *            {@link #reNuevaContrasena}
	 */
	public void setReNuevaContrasena(String reNuevaContrasena) {
		this.reNuevaContrasena = reNuevaContrasena;
	}

	/**
	 * Devuelve el valor del campo {@link #nuevoEmail}
	 * 
	 * @return Valor de tipo String del campo {@link #nuevoEmail}
	 */
	public String getNuevoEmail() {
		return this.nuevoEmail;
	}

	/**
	 * Establece el valor del campo {@link #nuevoEmail}
	 * 
	 * @param nuevoEmail Valor de tipo String a almacenar en el campo
	 *            {@link #nuevoEmail}
	 */
	public void setNuevoEmail(String nuevoEmail) {
		this.nuevoEmail = nuevoEmail;
	}

	/**
	 * Devuelve el valor del campo {@link #reNuevoEmail}
	 * 
	 * @return Valor de tipo String del campo {@link #reNuevoEmail}
	 */
	public String getReNuevoEmail() {
		return this.reNuevoEmail;
	}

	/**
	 * Establece el valor del campo {@link #reNuevoEmail}
	 * 
	 * @param reNuevoEmail Valor de tipo String a almacenar en el campo
	 *            {@link #reNuevoEmail}
	 */
	public void setReNuevoEmail(String reNuevoEmail) {
		this.reNuevoEmail = reNuevoEmail;
	}

	/**
	 * Devuelve el valor del campo {@link #messages}
	 * 
	 * @return Valor de tipo MessageList del campo {@link #messages}
	 */
	public MessageList getMessages() {
		return this.messages;
	}

}