package edu.uoc.recetario.gs00;

import edu.uoc.recetario.arquitectura.messages.MessageList;
import edu.uoc.recetario.arquitectura.pojo.UsuarioPojo;

/**
 * Modelo que encapsula los datos necesarios para realizar las tareas del grupo
 * funcional GS00(gestin del sistema)
 * 
 * @author Jorge Puig de la Bellacasa
 * 
 */
public class GS00Model {

	/** accin solicitada */
	private String accionSolicitada;
	/** mensajes del sistema */
	private final MessageList messages = new MessageList();

	/** usuario de esta sesin */
	private UsuarioPojo usuarioSesion;
	/** objeto usuario que se va a gestionar */
	private UsuarioPojo usuario;

	/** receta */

	/**
	 * Devuelve el valor del campo {@link #accionSolicitada}
	 * 
	 * @return Valor de tipo String del campo {@link #accionSolicitada}
	 */
	public String getAccionSolicitada() {
		return this.accionSolicitada;
	}

	/**
	 * Devuelve el valor del campo {@link #usuarioSesion}
	 * 
	 * @return Valor de tipo UsuarioPojo del campo {@link #usuarioSesion}
	 */
	public UsuarioPojo getUsuarioSesion() {
		return this.usuarioSesion;
	}

	/**
	 * Establece el valor del campo {@link #usuarioSesion}
	 * 
	 * @param usuarioSesion Valor de tipo UsuarioPojo a almacenar en el campo
	 *            {@link #usuarioSesion}
	 */
	public void setUsuarioSesion(UsuarioPojo usuarioSesion) {
		this.usuarioSesion = usuarioSesion;
	}

	/**
	 * Devuelve el valor del campo {@link #usuario}
	 * 
	 * @return Valor de tipo UsuarioPojo del campo {@link #usuario}
	 */
	public UsuarioPojo getUsuario() {
		return this.usuario;
	}

	/**
	 * Establece el valor del campo {@link #usuario}
	 * 
	 * @param usuario Valor de tipo UsuarioPojo a almacenar en el campo
	 *            {@link #usuario}
	 */
	public void setUsuario(UsuarioPojo usuario) {
		this.usuario = usuario;
	}

	/**
	 * Establece el valor del campo {@link #accionSolicitada}
	 * 
	 * @param accionSolicitada Valor de tipo String a almacenar en el campo
	 *            {@link #accionSolicitada}
	 */
	public void setAccionSolicitada(String accionSolicitada) {
		this.accionSolicitada = accionSolicitada;
	}

	/**
	 * Devuelve el valor del campo {@link #messages}
	 * 
	 * @return Valor de tipo MessageList del campo {@link #messages}
	 */
	public MessageList getMessages() {
		return this.messages;
	}

}
