package edu.uoc.recetario.struts2;

import java.util.Map;

import org.apache.struts2.interceptor.SessionAware;

import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ModelDriven;

import edu.uoc.recetario.arquitectura.pojo.UsuarioPojo;
import edu.uoc.recetario.gc00.GC00Model;

/**
 * Clase que implementa la parte Controlador del caso de uso GC01 (logout)
 * 
 * @author Jorge Puig de la Bellacasa
 * 
 */
public class GC01 extends ActionSupport implements ModelDriven<GC00Model>,
		SessionAware {

	/** TODO JAVADOC serialVersionUID */
	private static final long serialVersionUID = -1445423295130701905L;
	/** modelo */
	private final GC00Model model = new GC00Model();
	/** sesin */
	private Map<String, Object> session;

	/**
	 * (non-Javadoc)
	 * 
	 * @see com.opensymphony.xwork2.ActionSupport#execute()
	 */
	@Override
	public String execute() {
		String r = "failure";
		if (this.session.containsKey("usuario")) {
			this.model.setUsuarioSesion((UsuarioPojo) this.session
					.get("usuario"));
			this.session.clear();
			r = "success";
		} else {
			r = "login";
		}
		return r;

	}

	/**
	 * (non-Javadoc)
	 * 
	 * @see com.opensymphony.xwork2.ModelDriven#getModel()
	 */
	@Override
	public GC00Model getModel() {
		return this.model;
	}

	/**
	 * (non-Javadoc)
	 * 
	 * @see org.apache.struts2.interceptor.SessionAware#setSession(java.util.Map)
	 */
	@Override
	public void setSession(Map<String, Object> session) {
		this.session = session;
	}

}
