package edu.uoc.recetario.struts2;

import java.util.Map;

import org.apache.struts2.interceptor.SessionAware;

import com.opensymphony.xwork2.ActionSupport;
import com.opensymphony.xwork2.ModelDriven;

import edu.uoc.recetario.arquitectura.messages.Message;
import edu.uoc.recetario.arquitectura.pojo.UsuarioPojo;
import edu.uoc.recetario.gs00.GS00Model;

/**
 * Redirecciona al men de administracin si el usuario de esta sesin es
 * administrador
 * 
 * @author Jorge Puig de la Bellacasa
 * 
 */
public class ToAdmin extends ActionSupport implements ModelDriven<GS00Model>,
		SessionAware {

	/** serialVersionUID */
	private static final long serialVersionUID = 2381091436562793118L;
	/** session */
	private Map<String, Object> session;
	/** model */
	private final GS00Model model = new GS00Model();

	/**
	 * (non-Javadoc)
	 * 
	 * @see com.opensymphony.xwork2.ActionSupport#execute()
	 */
	@Override
	public String execute() {

		String r = "failure";
		if (this.session.containsKey("usuario")) {
			this.model.setUsuarioSesion((UsuarioPojo) this.session
					.get("usuario"));
			if (this.model.getUsuarioSesion().getTipoUsuario().equals("admin")) {
				r = "success";
			} else {
				Message m = new Message();
				m.setTipo(Message.Type.INFO);
				m.setMensaje("Solo los usuarios administradores tienen acceso al men de administracin");
				this.model.getMessages().add(m);
			}
		} else {
			r = "login";
		}
		return r;
	}

	/**
	 * (non-Javadoc)
	 * 
	 * @see org.apache.struts2.interceptor.SessionAware#setSession(java.util.Map)
	 */
	@Override
	public void setSession(Map<String, Object> session) {
		this.session = session;
	}

	/**
	 * (non-Javadoc)
	 * 
	 * @see com.opensymphony.xwork2.ModelDriven#getModel()
	 */
	@Override
	public GS00Model getModel() {
		return this.model;
	}

}
